Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/External Evaluator/BattleRunner.java
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/External Evaluator/BattleRunner.java	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/External Evaluator/BattleRunner.java	(revision 9790)
@@ -1,2 +1,21 @@
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+
 import robocode.control.*;
 import robocode.control.events.*;
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Grammar.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Grammar.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Grammar.cs	(revision 9790)
@@ -1,3 +1,24 @@
-﻿using System.Collections.Generic;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Interpreter.cs	(revision 9790)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Diagnostics;
 using System.IO;
@@ -115,5 +136,6 @@
         q.Append("Error: " + evaluateCode.StandardError.ReadToEnd() + "\r\n");
         cmdOutput += q.ToString();
-      }catch {
+      }
+      catch {
         return -1000.0;
       }
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Plugin.cs.frame
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Plugin.cs.frame	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Plugin.cs.frame	(revision 9790)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.Robocode
 {
-    [Plugin("HeuristicLab.Problems.Robocode", "The Robocode problem for genetic programming.", "3.3.7.$WCREV$")]
+    [Plugin("HeuristicLab.Problems.Robocode", "The Robocode problem for genetic programming.", "3.3.8.$WCREV$")]
     [PluginFile("HeuristicLab.Problems.Robocode-3.3.dll", PluginFileType.Assembly)]
     [PluginDependency("HeuristicLab.Data", "3.3")]
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Problem.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Problem.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Problem.cs	(revision 9790)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
 using System.Linq;
 using HeuristicLab.Common;
@@ -10,200 +30,171 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Problems.Robocode
-{
-    [StorableClass]
-    [Creatable("Problems")]
-    [Item("Robocode Problem",
-          "The Robocode problem for genetic programming.")]
-    public class Problem : SingleObjectiveHeuristicOptimizationProblem<Evaluator,
-      ISymbolicExpressionTreeCreator>
-    {
-        #region parameter names
-        private const string TankProgramParameterName = "TankProgram";
-        private const string MaxTankProgramLengthParameterName =
-          "MaxProgramLength";
-        private const string MaxTankProgramDepthParameterName =
-          "MaxProgramDepth";
-        private const string TankGrammarParameterName = "Grammar";
-        private const string RobocodePathParamaterName = "Path";
-        private const string CoevolutionParameterName = "Coevolution";
-        #endregion
-
-        #region parameters
-        public IFixedValueParameter<IntValue> MaxTankProgramLengthParameter
-        {
-            get
-            {
-                return (IFixedValueParameter<IntValue>)
-                  Parameters[MaxTankProgramLengthParameterName];
-            }
-        }
-        public IFixedValueParameter<IntValue> MaxTankProgramDepthParameter
-        {
-            get
-            {
-                return (IFixedValueParameter<IntValue>)
-                  Parameters[MaxTankProgramDepthParameterName];
-            }
-        }
-        public IValueParameter<Grammar> GrammarParameter
-        {
-            get
-            {
-                return (IValueParameter<Grammar>)
-                  Parameters[TankGrammarParameterName];
-            }
-        }
-        public IFixedValueParameter<StringValue> RobocodePathParameter
-        {
-            get
-            {
-                return (IFixedValueParameter<StringValue>)
-                    Parameters[RobocodePathParamaterName];
-            }
-        }
-        public IFixedValueParameter<BoolValue> CoevolutionParameter
-        {
-            get
-            {
-                return (IFixedValueParameter<BoolValue>)
-                    Parameters[CoevolutionParameterName];
-            }
-        }
-        #endregion
-
-        [StorableConstructor]
-        protected Problem(bool deserializing)
-            : base(deserializing)
-        {
-        }
-        protected Problem(Problem original, Cloner cloner)
-            : base(original, cloner)
-        {
-        }
-
-        // default constructor for the problem
-        // also creates the fitness evaluation operator (Evaluator), 
-        // and the tree creation operator (RampedHalfAndHalfTreeCreator)
-        public Problem()
-            : base(new Evaluator(), new RampedHalfAndHalfTreeCreator())
-        {
-           Parameters.Add(
-              new FixedValueParameter<IntValue>(
-                MaxTankProgramDepthParameterName,
-                "Maximal depth of the Robocode tank program.",
-                new IntValue(6)));
-            Parameters.Add(
-              new FixedValueParameter<IntValue>(
-                MaxTankProgramLengthParameterName,
-                "Maximal length of the tank program.",
-                new IntValue(1000)));
-            Parameters.Add(
-              new ValueParameter<Grammar>(
-                TankGrammarParameterName,
-                "Grammar for the tank program.",
-                new Grammar()));
-            Parameters.Add(new FixedValueParameter<StringValue>(
-                RobocodePathParamaterName,
-                "Path of the Robocode installation.",
-                new StringValue("F:/robocode2")));
-            Parameters.Add(new FixedValueParameter<BoolValue>(
-                CoevolutionParameterName,
-                "Use Coevolution", new BoolValue(false)));
-
-            Maximization.Value = true;
-            InitializeOperators();
-        }
-
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new Problem(this, cloner);
-        }
-
-        private void InitializeOperators()
-        {
-            Operators.AddRange(
-              ApplicationManager.Manager.GetInstances<ISymbolicExpressionTreeOperator>());
-            Operators.Add(new MinAverageMaxSymbolicExpressionTreeLengthAnalyzer());
-            Operators.Add(new SymbolicExpressionSymbolFrequencyAnalyzer());
-            Operators.Add(new BestSolutionAnalyzer());
-            ParameterizeOperators();
-            ParameterizeAnalyzers();
-        }
-
-        protected override void OnEvaluatorChanged()
-        {
-            base.OnEvaluatorChanged();
-            Evaluator.TankProgramParameter.ActualName =
-              TankProgramParameterName;
-            ParameterizeAnalyzers();
-            ParameterizeOperators();
-        }
-
-        protected override void OnSolutionCreatorChanged()
-        {
-            base.OnSolutionCreatorChanged();
-            SolutionCreator.SymbolicExpressionTreeParameter.ActualName =
-              TankProgramParameterName;
-            ParameterizeAnalyzers();
-            ParameterizeOperators();
-        }
-
-        private void ParameterizeAnalyzers()
-        {
-            var analyzers = Operators.OfType<IAnalyzer>();
-            foreach (var o in analyzers.OfType<ISymbolicExpressionTreeAnalyzer>())
-            {
-                o.SymbolicExpressionTreeParameter.ActualName =
-                  SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-            }
-            foreach (var o in analyzers.OfType<BestSolutionAnalyzer>())
-            {
-                o.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
-            }
-        }
-
-        private void ParameterizeOperators()
-        {
-            var operators = Parameters
-              .OfType<IValueParameter>()
-              .Select(p => p.Value)
-              .OfType<IOperator>()
-              .Union(Operators);
-            foreach (var o in operators.OfType<ISymbolicExpressionTreeGrammarBasedOperator>())
-            {
-                o.SymbolicExpressionTreeGrammarParameter.ActualName =
-                  TankGrammarParameterName;
-            }
-            foreach (var o in operators.OfType<ISymbolicExpressionTreeSizeConstraintOperator>())
-            {
-                o.MaximumSymbolicExpressionTreeDepthParameter.ActualName =
-                  MaxTankProgramDepthParameterName;
-                o.MaximumSymbolicExpressionTreeLengthParameter.ActualName =
-                  MaxTankProgramLengthParameterName;
-            }
-            foreach (var op in operators.OfType<Evaluator>())
-            {
-                op.TankProgramParameter.ActualName =
-                  SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-            }
-            foreach (var op in operators.OfType<ISymbolicExpressionTreeCrossover>())
-            {
-                op.ParentsParameter.ActualName =
-                  SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-                op.ChildParameter.ActualName =
-                  SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-            }
-            foreach (var op in operators.OfType<ISymbolicExpressionTreeManipulator>())
-            {
-                op.SymbolicExpressionTreeParameter.ActualName =
-                  SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-            }
-            foreach (var op in operators.OfType<ISymbolicExpressionTreeCreator>())
-            {
-                op.SymbolicExpressionTreeParameter.ActualName =
-                  SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-            }
-        }
-    }
+namespace HeuristicLab.Problems.Robocode {
+  [StorableClass]
+  [Creatable("Problems")]
+  [Item("Robocode Problem",
+        "The Robocode problem for genetic programming.")]
+  public class Problem : SingleObjectiveHeuristicOptimizationProblem<Evaluator,
+    ISymbolicExpressionTreeCreator> {
+    #region parameter names
+    private const string TankProgramParameterName = "TankProgram";
+    private const string MaxTankProgramLengthParameterName =
+      "MaxProgramLength";
+    private const string MaxTankProgramDepthParameterName =
+      "MaxProgramDepth";
+    private const string TankGrammarParameterName = "Grammar";
+    private const string RobocodePathParamaterName = "Path";
+    private const string CoevolutionParameterName = "Coevolution";
+    #endregion
+
+    #region parameters
+    public IFixedValueParameter<IntValue> MaxTankProgramLengthParameter {
+      get {
+        return (IFixedValueParameter<IntValue>)
+          Parameters[MaxTankProgramLengthParameterName];
+      }
+    }
+    public IFixedValueParameter<IntValue> MaxTankProgramDepthParameter {
+      get {
+        return (IFixedValueParameter<IntValue>)
+          Parameters[MaxTankProgramDepthParameterName];
+      }
+    }
+    public IValueParameter<Grammar> GrammarParameter {
+      get {
+        return (IValueParameter<Grammar>)
+          Parameters[TankGrammarParameterName];
+      }
+    }
+    public IFixedValueParameter<StringValue> RobocodePathParameter {
+      get {
+        return (IFixedValueParameter<StringValue>)
+            Parameters[RobocodePathParamaterName];
+      }
+    }
+    public IFixedValueParameter<BoolValue> CoevolutionParameter {
+      get {
+        return (IFixedValueParameter<BoolValue>)
+            Parameters[CoevolutionParameterName];
+      }
+    }
+    #endregion
+
+    [StorableConstructor]
+    protected Problem(bool deserializing)
+      : base(deserializing) {
+    }
+    protected Problem(Problem original, Cloner cloner)
+      : base(original, cloner) {
+    }
+
+    // default constructor for the problem
+    // also creates the fitness evaluation operator (Evaluator), 
+    // and the tree creation operator (RampedHalfAndHalfTreeCreator)
+    public Problem()
+      : base(new Evaluator(), new RampedHalfAndHalfTreeCreator()) {
+      Parameters.Add(
+         new FixedValueParameter<IntValue>(
+           MaxTankProgramDepthParameterName,
+           "Maximal depth of the Robocode tank program.",
+           new IntValue(6)));
+      Parameters.Add(
+        new FixedValueParameter<IntValue>(
+          MaxTankProgramLengthParameterName,
+          "Maximal length of the tank program.",
+          new IntValue(1000)));
+      Parameters.Add(
+        new ValueParameter<Grammar>(
+          TankGrammarParameterName,
+          "Grammar for the tank program.",
+          new Grammar()));
+      Parameters.Add(new FixedValueParameter<StringValue>(
+          RobocodePathParamaterName,
+          "Path of the Robocode installation.",
+          new StringValue("F:/robocode2")));
+      Parameters.Add(new FixedValueParameter<BoolValue>(
+          CoevolutionParameterName,
+          "Use Coevolution", new BoolValue(false)));
+
+      Maximization.Value = true;
+      InitializeOperators();
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new Problem(this, cloner);
+    }
+
+    private void InitializeOperators() {
+      Operators.AddRange(
+        ApplicationManager.Manager.GetInstances<ISymbolicExpressionTreeOperator>());
+      Operators.Add(new MinAverageMaxSymbolicExpressionTreeLengthAnalyzer());
+      Operators.Add(new SymbolicExpressionSymbolFrequencyAnalyzer());
+      Operators.Add(new BestSolutionAnalyzer());
+      ParameterizeOperators();
+      ParameterizeAnalyzers();
+    }
+
+    protected override void OnEvaluatorChanged() {
+      base.OnEvaluatorChanged();
+      Evaluator.TankProgramParameter.ActualName =
+        TankProgramParameterName;
+      ParameterizeAnalyzers();
+      ParameterizeOperators();
+    }
+
+    protected override void OnSolutionCreatorChanged() {
+      base.OnSolutionCreatorChanged();
+      SolutionCreator.SymbolicExpressionTreeParameter.ActualName =
+        TankProgramParameterName;
+      ParameterizeAnalyzers();
+      ParameterizeOperators();
+    }
+
+    private void ParameterizeAnalyzers() {
+      var analyzers = Operators.OfType<IAnalyzer>();
+      foreach (var o in analyzers.OfType<ISymbolicExpressionTreeAnalyzer>()) {
+        o.SymbolicExpressionTreeParameter.ActualName =
+          SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+      }
+      foreach (var o in analyzers.OfType<BestSolutionAnalyzer>()) {
+        o.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
+      }
+    }
+
+    private void ParameterizeOperators() {
+      var operators = Parameters
+        .OfType<IValueParameter>()
+        .Select(p => p.Value)
+        .OfType<IOperator>()
+        .Union(Operators);
+      foreach (var o in operators.OfType<ISymbolicExpressionTreeGrammarBasedOperator>()) {
+        o.SymbolicExpressionTreeGrammarParameter.ActualName =
+          TankGrammarParameterName;
+      }
+      foreach (var o in operators.OfType<ISymbolicExpressionTreeSizeConstraintOperator>()) {
+        o.MaximumSymbolicExpressionTreeDepthParameter.ActualName =
+          MaxTankProgramDepthParameterName;
+        o.MaximumSymbolicExpressionTreeLengthParameter.ActualName =
+          MaxTankProgramLengthParameterName;
+      }
+      foreach (var op in operators.OfType<Evaluator>()) {
+        op.TankProgramParameter.ActualName =
+          SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+      }
+      foreach (var op in operators.OfType<ISymbolicExpressionTreeCrossover>()) {
+        op.ParentsParameter.ActualName =
+          SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+        op.ChildParameter.ActualName =
+          SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+      }
+      foreach (var op in operators.OfType<ISymbolicExpressionTreeManipulator>()) {
+        op.SymbolicExpressionTreeParameter.ActualName =
+          SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+      }
+      foreach (var op in operators.OfType<ISymbolicExpressionTreeCreator>()) {
+        op.SymbolicExpressionTreeParameter.ActualName =
+          SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+      }
+    }
+  }
 }
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Solution.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Solution.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Solution.cs	(revision 9790)
@@ -1,3 +1,24 @@
-﻿using HeuristicLab.Common;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/Constant.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/Constant.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/Constant.cs	(revision 9790)
@@ -1,34 +1,49 @@
-﻿using HeuristicLab.Common;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-namespace HeuristicLab.Problems.Robocode
-{
-    [StorableClass]
-    public class Constant : Symbol
-    {
-        public override int MinimumArity { get { return 0; } }
-        public override int MaximumArity { get { return 0; } }
+namespace HeuristicLab.Problems.Robocode {
+  [StorableClass]
+  public class Constant : Symbol {
+    public override int MinimumArity { get { return 0; } }
+    public override int MaximumArity { get { return 0; } }
 
-        [StorableConstructor]
-        private Constant(bool deserializing) : base(deserializing) { }
-        private Constant(Constant original, Cloner cloner)
-            : base(original, cloner)
-        {
-        }
+    [StorableConstructor]
+    private Constant(bool deserializing) : base(deserializing) { }
+    private Constant(Constant original, Cloner cloner)
+      : base(original, cloner) {
+    }
 
-        public Constant()
-            : base("Constant", "A random fixed integer.")
-        {
-        }
+    public Constant()
+      : base("Constant", "A random fixed integer.") {
+    }
 
-        public override ISymbolicExpressionTreeNode CreateTreeNode()
-        {
-            return new ConstantTreeNode();
-        }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new Constant(this, cloner);
-        }
+    public override ISymbolicExpressionTreeNode CreateTreeNode() {
+      return new ConstantTreeNode();
     }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new Constant(this, cloner);
+    }
+  }
 }
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/ConstantTreeNode.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/ConstantTreeNode.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/ConstantTreeNode.cs	(revision 9790)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -5,44 +25,36 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-namespace HeuristicLab.Problems.Robocode
-{
-    [StorableClass]
-    public class ConstantTreeNode : SymbolicExpressionTreeTerminalNode
-    {
-        private int value;
-        [Storable]
-        public int Value
-        {
-            get { return value; }
-            private set { this.value = value; }
-        }
+namespace HeuristicLab.Problems.Robocode {
+  [StorableClass]
+  public class ConstantTreeNode : SymbolicExpressionTreeTerminalNode {
+    private int value;
+    [Storable]
+    public int Value {
+      get { return value; }
+      private set { this.value = value; }
+    }
 
-        [StorableConstructor]
-        private ConstantTreeNode(bool deserializing) : base(deserializing) { }
-        private ConstantTreeNode(ConstantTreeNode original, Cloner cloner)
-            : base(original, cloner)
-        {
-            this.value = original.value;
-        }
+    [StorableConstructor]
+    private ConstantTreeNode(bool deserializing) : base(deserializing) { }
+    private ConstantTreeNode(ConstantTreeNode original, Cloner cloner)
+      : base(original, cloner) {
+      this.value = original.value;
+    }
 
-        public ConstantTreeNode()
-            : base(new Constant())
-        {
-        }
+    public ConstantTreeNode()
+      : base(new Constant()) {
+    }
 
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new ConstantTreeNode(this, cloner);
-        }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new ConstantTreeNode(this, cloner);
+    }
 
-        public override bool HasLocalParameters
-        {
-            get { return true; }
-        }
+    public override bool HasLocalParameters {
+      get { return true; }
+    }
 
-        public override void ResetLocalParameters(IRandom random)
-        {
-            value = random.Next(-360, 360);
-        }
+    public override void ResetLocalParameters(IRandom random) {
+      value = random.Next(-360, 360);
     }
+  }
 }
Index: /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/Independent.cs
===================================================================
--- /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/Independent.cs	(revision 9789)
+++ /branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Abandoned/Independent.cs	(revision 9790)
@@ -1,34 +1,51 @@
-﻿using HeuristicLab.Common;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
 
-namespace HeuristicLab.Problems.Robocode
-{
-    /*[StorableClass]
-    public class Independent : Symbol
-    {
-        public override int MinimumArity { get { return 0; } }
-        public override int MaximumArity { get { return 0; } }
 
-        [StorableConstructor]
-        private Independent(bool deserializing) : base(deserializing) { }
-        private Independent(Independent original, Cloner cloner)
-            : base(original, cloner)
-        {
-        }
+namespace HeuristicLab.Problems.Robocode {
+  /*[StorableClass]
+  public class Independent : Symbol
+  {
+      public override int MinimumArity { get { return 0; } }
+      public override int MaximumArity { get { return 0; } }
 
-        public Independent()
-            : base("Independent", "A random fixed integer.")
-        {
-        }
+      [StorableConstructor]
+      private Independent(bool deserializing) : base(deserializing) { }
+      private Independent(Independent original, Cloner cloner)
+          : base(original, cloner)
+      {
+      }
 
-        public override ISymbolicExpressionTreeNode CreateTreeNode()
-        {
-            return new BooleanTreeNode();
-        }
-        public override IDeepCloneable Clone(Cloner cloner)
-        {
-            return new Independent(this, cloner);
-        }
-    }*/
+      public Independent()
+          : base("Independent", "A random fixed integer.")
+      {
+      }
+
+      public override ISymbolicExpressionTreeNode CreateTreeNode()
+      {
+          return new BooleanTreeNode();
+      }
+      public override IDeepCloneable Clone(Cloner cloner)
+      {
+          return new Independent(this, cloner);
+      }
+  }*/
 }
